Bug 596472 - [abrt] crash in pitivi-0.13.4-2.fc13: mixer.py:148:update_priority:AttributeError: 'NoneType' object has no attribute 'get_name'
Summary: [abrt] crash in pitivi-0.13.4-2.fc13: mixer.py:148:update_priority:AttributeE...
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pitivi (Show other bugs)
(Show other bugs)
Version: 13
Hardware: i686 Linux
low
medium
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:30e9c1ad
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-26 19:31 UTC by Vincenzo
Modified: 2011-06-27 16:44 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 16:44:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (623 bytes, text/plain)
2010-05-26 19:31 UTC, Vincenzo
no flags Details

Description Vincenzo 2010-05-26 19:31:47 UTC
abrt 1.1.0 detected a crash.

architecture: i686
cmdline: python /usr/bin/pitivi
component: pitivi
executable: /usr/bin/pitivi
kernel: 2.6.34-11.fc14.i686
package: pitivi-0.13.4-2.fc13
reason: mixer.py:148:update_priority:AttributeError: 'NoneType' object has no attribute 'get_name'
release: Fedora release 13 (Goddard)

backtrace
-----
mixer.py:148:update_priority:AttributeError: 'NoneType' object has no attribute 'get_name'

Traceback (most recent call last):
  File "/usr/share/pitivi/python/pitivi/timeline/track.py", line 774, in _videoInputPriorityChangedCb
    mixer.update_priority(pad, priority)
  File "/usr/share/pitivi/python/pitivi/elements/mixer.py", line 148, in update_priority
    a,b,c,sinkpad = self.inputs[pad.get_name()]
AttributeError: 'NoneType' object has no attribute 'get_name'

Local variables in innermost frame:
priority: 10000
self: <SmartVideomixerBin object (pitivi+elements+mixer+smartvideomixerbin0) at 0x9546c84>
pad: None

Comment 1 Vincenzo 2010-05-26 19:31:49 UTC
Created attachment 417001 [details]
File: backtrace

Comment 2 Vincenzo 2010-05-27 14:14:03 UTC
I believe that there are problems with Gstreamer.
This video shows when this problem occurs:http://www.megaupload.com/?d=M84GSAP8

[Message written with the help of google translate and reverso.net]

Comment 3 Rolle 2010-07-08 20:36:19 UTC
Package: pitivi-0.13.4-2.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. I started pitivi
2. Played a while with the program (added avi-clips and png-pics, moved the clips on the timeline)
3. after a while it reported a problem

Comment 4 Valent Turkovic 2010-07-30 20:11:39 UTC
Package: pitivi-0.13.4-2.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. tried loading wmv video clip
2.
3.

Comment 5 Fedora Admin XMLRPC Client 2010-08-22 00:54:03 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 6 Hicham HAOUARI 2010-11-30 17:02:53 UTC
please retest with 0.13.5

Comment 7 Vincenzo 2010-12-10 08:53:17 UTC
(In reply to comment #6)
> please retest with 0.13.5

I'm sorry but I can try. I installed Fedora 14.

Comment 8 Bug Zapper 2011-06-02 13:22:20 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Fedora Admin XMLRPC Client 2011-06-20 20:56:06 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 10 Fedora Admin XMLRPC Client 2011-06-20 20:57:39 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 11 Fedora Admin XMLRPC Client 2011-06-20 21:05:21 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 12 Bug Zapper 2011-06-27 16:44:16 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.